# project (Identity v3)

## project create

Create new project

    openstack project create
        [--domain <domain>]
        [--parent <project>]
        [--description <description>]
        [--enable
        |
        --disable
        ]
        [--property <key=value>]
        [--or-show]
        [--immutable | --no-immutable]
        [--tag <tag>]
        <project-name>

--domain <domain>

  Domain owning the project (name or ID)

--parent <project>

  Parent of the project (name or ID)

--description <description>

  Project description

--enable

  Enable project

--disable

  Disable project

--property <key=value>

  Add a property to <name> (repeat option to set multiple properties)

--or-show

  Return existing project

--immutable

  Make resource immutable. An immutable project may not be deleted or modified except to remove the immutable flag

--no-immutable

  Make resource mutable (default)

--tag <tag>

  Tag to be added to the project (repeat option to set multiple tags)

project-name

  New project name

## project delete

Delete project(s). This command will remove specified existing project(s) if an active user is authorized to do this. If there are resources managed by other services (for example, Nova, Neutron, Cinder) associated with specified project(s), delete operation will proceed regardless.

    openstack project delete [--domain <domain>] <project> [<project> ...]

--domain <domain>

  Domain owning <project> (name or ID)

project

  Project(s) to delete (name or ID)

## project list

List projects

    openstack project list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--domain <domain>]
        [--parent <parent>]
        [--user <user>]
        [--my-projects]
        [--long]
        [--sort <key>[:<direction>]]
        [--enabled]
        [--disabled]
        [--tags <tag>[,<tag>,...]]
        [--tags-any <tag>[,<tag>,...]]
        [--not-tags <tag>[,<tag>,...]]
        [--not-tags-any <tag>[,<tag>,...]]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--domain <domain>

  Filter projects by <domain> (name or ID)

--parent <parent>

  Filter projects whose parent is <parent> (name or ID)

--user <user>

  Filter projects by <user> (name or ID)

--my-projects

  List projects for the authenticated user. Supersedes other filters.

--long

  List additional fields in output

--sort <key>[:<direction>]

  Sort output by selected keys and directions (asc or desc) (default: asc), repeat this option to specify multiple keys and directions.

--enabled

  List only enabled projects

--disabled

  List only disabled projects

--tags <tag>[,<tag>,...]

  List projects which have all given tag(s) (Comma-separated list of tags)

--tags-any <tag>[,<tag>,...]

  List projects which have any given tag(s) (Comma-separated list of tags)

--not-tags <tag>[,<tag>,...]

  Exclude projects which have all given tag(s) (Comma-separated list of tags)

--not-tags-any <tag>[,<tag>,...]

  Exclude projects which have any given tag(s) (Comma-separated list of tags)

## project set

Set project properties

    openstack project set
        [--name <name>]
        [--domain <domain>]
        [--description <description>]
        [--enable
        |
        --disable
        ]
        [--property <key=value>]
        [--immutable | --no-immutable]
        [--tag <tag>]
        [--clear-tags]
        [--remove-tag <tag>]
        <project>

--name <name>

  Set project name

--domain <domain>

  Domain owning <project> (name or ID)

--description <description>

  Set project description

--enable

  Enable project

--disable

  Disable project

--property <key=value>

  Set a property on <project> (repeat option to set multiple properties)

--immutable

  Make resource immutable. An immutable project may not be deleted or modified except to remove the immutable flag

--no-immutable

  Make resource mutable (default)

--tag <tag>

  Tag to be added to the project (repeat option to set multiple tags)

--clear-tags

  Clear tags associated with the project. Specify both –tag and –clear-tags to overwrite current tags

--remove-tag <tag>

  Tag to be deleted from the project (repeat option to delete multiple tags)

project

  Project to modify (name or ID)

## project show

Display project details

    openstack project show
        [--domain <domain>]
        [--parents]
        [--children]
        <project>

--domain <domain>

  Domain owning <project> (name or ID)

--parents

  Show the project’s parents as a list

--children

  Show project’s subtree (children) as a list

project

  Project to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.